Package org.eclipse.emf.cdo.server

## Class StoreThreadLocal.NoSessionRegisteredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.eclipse.emf.cdo.server.StoreThreadLocal.NoSessionRegisteredException

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    StoreThreadLocal

      public static final class StoreThreadLocal.NoSessionRegisteredException
      extends java.lang.IllegalStateException

  An `IllegalStateException` that can be thrown from `StoreThreadLocal.getSession()`.
  Since:
    4.2
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoSessionRegisteredException()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSessionRegisteredException

          public NoSessionRegisteredException()